Support Questions
Find answers, ask questions, and share your expertise

unable to read hiveserver2 configs from zookeeper (state=,code=0)

Explorer

Hi all, I have installed ambari and every service was running good, but im getting 2 alerts on hive. i tried to resolve but i'm unable to do that. can anyone help me out?

- i'm able to login to mysql and beeline also.

==================

Hive error

==========================================================================================

root@ARIES-HDP-WNODE1:/etc# beeline -u "jdbc:hive2://aries-hdp-wnode1.ariessystem.us:2181,aries-hdp-mnode.ariessystem.us:2181/;serviceDiscoveryMode=zooKeeper;zooKeeperNamespace=hiveserver2" Connecting to jdbc:hive2://aries-hdp-wnode1.ariessystem.us:2181,aries-hdp-mnode.ariessystem.us:2181/;serviceDiscoveryMode=zooKeeper;zooKeeperNamespace=hiveserver2 Error: org.apache.hive.jdbc.ZooKeeperHiveClientException: Unable to read HiveServer2 configs from ZooKeeper (state=,code=0) Beeline version 1.2.1000.2.6.5.0-292 by Apache Hive 0: jdbc:hive2://aries-hdp-wnode1.ariessystem. (closed)>

==============================================================================================

Here i attach the hive server log and alert pictures from ambarihive-metastore-log.txt

hive-alert1.pnghive-alert-2.pngalert-3.png

@Jay Kumar SenSharma

17 REPLIES 17

In this case, you'll have to use the following options:

apt-get install -y mysql-connector-java_8.0.12-1ubuntu18.04_all.deb
#or if you're using a minor version of Ubuntu
apt-get install -y mysql-connector-java_8.0.12-1ubuntu16.04_all.deb

If the issue persists, you can try to download it manually
https://dev.mysql.com/downloads/connector/j/

Hope this helps!

Explorer

Hi @Vinicius Higa Murakami , i'm currently using Ubuntu 14.04 i don't see that option in MySQL.com when I'm trying to download manually and when i ran the command by changing the version to

apt-get install -y mysql-connector-java_8.0.12-1ubuntu14.04_all.deb, I'm getting the following error.mysql-error2.png can you please help me out.


Hi @Deepak SANAGAPALLI.
Try to install using this command:

apt-get install libmysql-java
Hope this helps!

Explorer

Hi @Vinicius Higa Murakami , i ran that command and it got installed. can you please tell me what steps to be performed next.sqllib-java.png

@Deepak SANAGAPALLI, now you should see the mysql-connector-java.jar under the libmysql-java.
You can try to find it with the following command:

find / -name "mysql-connector*" -type f -exec ls -ltrah {} \;

If you are able to see it, then just follow the instruction inside that documentation link.

New Contributor

Could you please let us know which documentation you are talking about?

Explorer

Thanks a lot @Vinicius Higa Murakami @Geoffrey Shelton Okot issue resolved. i appreciate for helping me.

Hi @Deepak SANAGAPALLI!
Glad to hear that! Keep it up with your HiveServer and let us know if you find any other issues 🙂
Thanks